#include <stdio.h>
#include <unistd.h>
#include "libsound.h"

int
main(void)
{
	int i, count;
	unsigned short buf[LENGTH*RATE*CHANNELS];
	FILE * fp;

	fp = fopen("test.raw", "r");
	if(fp == NULL) {
		perror("fopen");
	}

	printf("1\n");
	play_init();
	printf("2\n");
	for(i = 0; i < 5; ++i) {
		count = fread(buf, sizeof(short), LENGTH*RATE*CHANNELS, fp);
		if(count != LENGTH*RATE*CHANNELS) {
			fprintf(stderr, "fread is failed\n");
		}
		printf("%d\n", 3+i);
		play_copybuf((char *)buf);
		printf("%d\n", 4+i);
	}
	printf("14\n");

	sleep(10);
	play_end();
	printf("15\n");
	fclose(fp);

	return (0);
}

