// -*- C++ -*-
/*!
 * @file  VoiceClient.cpp
 * @brief Voice Client
 * $Date$
 *
 * $Id$
 */

#include "VoiceClient.h"

// Module specification
// <rtc-template block="module_spec">
static const char* voiceclient_spec[] =
  {
    "implementation_id", "VoiceClient",
    "type_name",         "VoiceClient",
    "description",       "Voice Client",
    "version",           "0.1",
    "vendor",            "AIST",
    "category",          "Generic",
    "activity_type",     "DataFlowComponent",
    "max_instance",      "10",
    "language",          "C++",
    "lang_type",         "compile",
    // Configuration variables
    "conf.default.int_param0", "0",
    "conf.default.int_param1", "1",
    "conf.default.double_param0", "3.14",
    "conf.default.double_param1", "9.99",
    "conf.default.str_param0", "hoge",
    "conf.default.str_param1", "foo",

    ""
  };
// </rtc-template>

VoiceClient::VoiceClient(RTC::Manager* manager)
  : RTC::DataFlowComponentBase(manager),
    // <rtc-template block="initializer">
    m_outOut("out", m_out),
    // <rtc-template block="initializer">
    m_inIn("in", m_in),
    // </rtc-template>
	m_outOut2("OUT",m_out2),//
	m_inIn2("IN",m_in2),//
	dummy(0)
{
  // Registration: InPort/OutPort/Service
  // <rtc-template block="registration">
  // Set InPort buffers
  
  // Set OutPort buffer
  registerOutPort("out", m_outOut);
  registerOutPort("OUT", m_outOut2);//
  
  // Set InPort buffers
  registerInPort("in", m_inIn);
  registerInPort("IN", m_inIn2);//

  // Set service provider to Ports
  
  // Set service consumers to Ports
  
  // Set CORBA Service Ports
  
  // </rtc-template>

}

VoiceClient::~VoiceClient()
{
}


RTC::ReturnCode_t VoiceClient::onExecute(RTC::UniqueId ec_id)
{
  
  //std::cout << "Please input number: ";//
  //std::cin >> m_out.data;
  /*
  m_out.data.length(3);
  m_out.data[0]=1;
  m_out.data[1]=2;
  m_out.data[2]=3;
  */

  /////////////////////////from
  /*
  m_out2.data.length(3);
  m_out2.data[0]=1;
  m_out2.data[1]=2;
  m_out2.data[2]=3; 
  */
  /////////////////////////to

  //std::cout << "Sending to subscriber: " << m_out.data.length()<< "bytes" << std::endl;//

  /////////////////////////from
  //std::cout << "Sending to subscriber2: " << m_out2.data.length()<< "bytes" << std::endl;//
  /////////////////////////to

  //m_outOut.write();//

  /////////////////////////from
  //m_outOut2.write();//
  /////////////////////////to

  ////while(1){////ƃ|[gQ݂̓͂Ȃ
	if (m_inIn.isNew()) {
		std::cerr << "m_inIn.isNew()" << std::endl;
		m_inIn.read();///|[gP
		std::cerr << "m_in.data.length() is " << m_in.data.length() << std::endl;
		m_out2 = m_in;///|[gQɃf[^𑗂
		m_outOut2.write();///|[gQf[^𑗂  
	}
	if (m_inIn2.isNew()) {
		std::cerr << "m_inIn2.isNew()" << std::endl;
		m_inIn2.read();///|[gQ
		std::cerr << "m_in2.data.length() is " << m_in2.data.length() << std::endl;
		m_out = m_in2;///|[gPɃf[^𑗂
		m_outOut.write();///|[gPf[^𑗂  
	}
//      m_inIn2.read();///|[gQ
//	  m_out = m_in2;///|[gPɃf[^𑗂
//      m_outOut.write();///|[gPf[^𑗂 
	  //std::cout << "Received: " << m_in.data.length() << "bytes" << std::endl;//
	  //if (m_in.data.length()>=3) {//
		//  std::cout << "1" <<m_in.data[0]<<std::endl;//
		//  std::cout << "2" <<m_in.data[1]<<std::endl;//
		//  std::cout << "3" <<m_in.data[2]<<std::endl;//
	 // }//
  
	 ////break;
    /////}////ɉōXVĂ邩m߂KvȂB
  ////}
  /////usleep(1000);////ɉōXVĂ邩m߂KvȂB

  //////////////////////////////from
  ////while(1){////ƃ|[gQ݂̓͂Ȃ
  ////if (m_inIn2.isNew())////ɉōXVĂ邩m߂KvȂB
    ////{////ɉōXVĂ邩m߂KvȂB
      //m_inIn2.read();̕ӂ͏ɂ܂Ƃ߂
	  //m_out = m_in2;///
      //m_outOut.write();///
	  /*
	  std::cout << "Received: " << m_in2.data.length() << "bytes" << std::endl;
	  if (m_in2.data.length()>=3) {
		  std::cout << "1" <<m_in2.data[0]<<std::endl;
		  std::cout << "2" <<m_in2.data[1]<<std::endl;
		  std::cout << "3" <<m_in2.data[2]<<std::endl;
		  
	  }
	  */
	//// break;
  ////}
  ////}////ɉōXVĂ邩m߂KvȂB
  ////usleep(1000);////ɉōXVĂ邩m߂KvȂB
  ///////////////////////////////to

  return RTC::RTC_OK;
}


extern "C"
{
 
  void VoiceClientInit(RTC::Manager* manager)
  {
    RTC::Properties profile(voiceclient_spec);
    manager->registerFactory(profile,
                             RTC::Create<VoiceClient>,
                             RTC::Delete<VoiceClient>);
  }
  
};


